# Uses of Interface
org.eclipse.ecf.core.util.IEventProcessor

Packages that use IEventProcessor
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of IEventProcessor in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement IEventProcessor
Modifier and Type
Class
Description
`class`
`SharedObjectMsgEventProcessor`
Event processor to process SharedObjectMsgEvents
`class`
`TwoPhaseCommitEventProcessor`
Implementation of two-phase commit for transactional replication of shared objects.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type IEventProcessor
Modifier and Type
Method
Description
`boolean`
BaseSharedObject.`addEventProcessor(IEventProcessor proc)`
Add an event processor to the set of event processors available.
`boolean`
BaseSharedObject.`removeEventProcessor(IEventProcessor proc)`
Remove an event processor from the set of event processors available to this object.